package mdd.client;

import javafx.scene.control.TextField;
import javafx.scene.layout.VBox;
import javafx.scene.paint.Color;
import javafx.scene.text.Font;
import javafx.scene.text.Text;
import org.json.simple.JSONObject;

public class Input  extends Connectable {
    private TextField _input;

    public Input(Module parent, JSONObject json){
        super(parent, ConnectableType.INPUT, json);

        _input = new TextField(Value.toString());
        _input.setPrefWidth(50);

        VBox vbox = new VBox(_label, _input);
        vbox.setTranslateX(10);
        vbox.setTranslateY(-10);

        getChildren().add(vbox);
    }

    public void setConnected(boolean state){
        super.setConnected(state);
        _input.setVisible(!state);
        _input.setManaged(!state);
    }
}
